<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">
<html>
<head>
   <title>ReloadCMS FastNews Converter</title>
   <link href="style/style.css" rel="stylesheet" type="text/css" />
   <meta content="text/html; charset=Windows-1251" http-equiv="content-type">
</head>
<body>
    <div id="main">
      <div class="caption">  ReloadCMS   FastNews</div>
      <div id="icon">&nbsp;</div>

<?php
set_time_limit(0);
include("./api.mysql.php");
$path='../content/a/';
$db =new MySQLDB();

function rcms_parse_ini_file($filename, $blocks = false){
	$array1 = file($filename);
	$section = '';
	foreach ($array1 as $filedata) {
		$dataline = trim($filedata);
		$firstchar = substr($dataline, 0, 1);
		if ($firstchar != ';' && !empty($dataline)) {
			if ($blocks && $firstchar == '[' && substr($dataline, -1, 1) == ']') {
				$section = strtolower(substr($dataline, 1, -1));
			} else {
				$delimiter = strpos($dataline, '=');
				if ($delimiter > 0) {
					preg_match("/^[\s]*(.*?)[\s]*[=][\s]*(\"|)(.*?)(\"|)[\s]*$/", $dataline, $matches);
					$key = $matches[1];
					$value = $matches[3];

					if($blocks){
						if(!empty($section)){
							$array2[$section][$key] = stripcslashes($value);
						}
					} else {
						$array2[$key] = stripcslashes($value);
					}
				} else {
					if($blocks){
						if(!empty($section)){
							$array2[$section][trim($dataline)] = '';
						}
					} else {
						$array2[trim($dataline)] = '';
					}
				}
			}
		}
	}
	return (!empty($array2)) ? $array2 : false;
}

function rcms_scandir($directory, $exp = '', $type = 'all', $do_not_filter = false) {
    $dir = $ndir = array();
    if(!empty($exp)) {
        $exp = '/^' . str_replace('*', '(.*)', str_replace('.', '\\.', $exp)) . '$/';
    }
    if(!empty($type) && $type !== 'all') {
        $func = 'is_' . $type;
    }
    if(is_dir($directory)) {
        $fh = opendir($directory);
        while (false !== ($filename = readdir($fh))) {
            if(substr($filename, 0, 1) != '.' || $do_not_filter) {
                if((empty($type) || $type == 'all' || $func($directory . '/' . $filename)) && (empty($exp) || preg_match($exp, $filename))) {
                    $dir[] = $filename;
                }
            }
        }
        closedir($fh);
        natsort($dir);
    }
    return $dir;
} 


function get_containers() {
    global $path;
    $allcontainers=rcms_scandir($path);
    return($allcontainers);
}


function get_container_name($container) {
    global $path;
    $name=file_get_contents($path.$container.'/title');
    return ($name);
}


function get_categories($container) {
    global $path;
    $catpath=$path.$container.'/';
    $allcats=rcms_scandir($catpath,'','dir');
    return($allcats);
}

function get_category_name($container,$category) {
    global $path;
    $catpath=$path.$container.'/'.$category;
    $name=file_get_contents($catpath.'/title');
    return($name);
}

function get_category_id($category_name) {
     $record=simple_query('SELECT `id` from `categories` WHERE `name` ="'.$category_name.'"');
     return($record['id']);
}

function convert_containers() {
    $counter=0;
    $allcontainers=get_containers();
    foreach ($allcontainers as $eachcontainer) {
        $counter++;
        $title=get_container_name($eachcontainer);
        nr_query("INSERT INTO `containers` (`id`, `name`, `desc`) VALUES (NULL, '".$eachcontainer."', '".$title."');");
    }
    print(' '.$counter.' <br>');
}

function get_container_id($name) {
    $record=simple_query('SELECT `id` from `containers` WHERE `name` ="'.$name.'"');
    return($record['id']);
}

function get_items($container,$category) {
    global $path;
    $catpath=$path.$container.'/'.$category;
    $allitems=rcms_scandir($catpath,'','dir');
    return($allitems);
}

function convert_categories() {
    $counter=0;
    $allcontainers=get_containers();
    foreach ($allcontainers as $eachcontainer) {
        if ($eachcontainer!='#root') {
            $curcats=get_categories($eachcontainer);
            foreach ($curcats as $eachcat) {
                $counter++;
                $title=get_category_name($eachcontainer,$eachcat);
                $cont_id=get_container_id($eachcontainer);
                $q="INSERT INTO `categories` (`id`, `cont`, `name`, `desc`, `icon`, `acess`) VALUES ('', '".$cont_id."', '".$title."', '', NULL, NULL);";
                nr_query($q);
            }
        }
    }
    print(' '.$counter.' <br>');
}



function convert_item_content($container,$category,$item) {
    global $path;
    $itempath=$path.$container.'/'.$category.'/'.$item;
    $define=rcms_parse_ini_file($itempath.'/define');
    $item_short=file_get_contents($itempath.'/short');
    $item_full=file_get_contents($itempath.'/full');
    $itemcatname=file_get_contents($itempath.'/../title');
    $item_catid=get_category_id($itemcatname);
    $itemdate=gmdate("Y-m-d H:i:s", $define['time']);
    $new_item_q="
   INSERT INTO `articles` ( `id` , `category` , `title` , `source` , `keywords` , `short` , `full` , `mode` , `views` , `date` , `comments` )
    VALUES (
   '',
   '".$item_catid."',
   '".mysql_real_escape_string($define['title'])."',
   '".mysql_real_escape_string($define['src'])."',
   '".mysql_real_escape_string($define['keywords'])."',
   '".mysql_real_escape_string($item_short)."',
   '".mysql_real_escape_string($item_full)."',
   '".$define['mode']."',
   '".$define['views']."',
   '".$itemdate."',
   '".$define['comments']."');
    ";
    
    nr_query($new_item_q);

   }

function convert_items() {
    $counter=0;
    global $path;
    $allcontainers=get_containers();
    foreach ($allcontainers as $eachcontainer){
        if (($eachcontainer!='#root') AND ($eachcontainer!='#hidden')) {
            $allcategories=get_categories($eachcontainer);
            foreach ($allcategories as $eachcategory) {
                $allitems=get_items($eachcontainer, $eachcategory);
                foreach ($allitems as $eachitem) {
                    $counter++;
                    convert_item_content($eachcontainer, $eachcategory, $eachitem);
                 }
            }
        }
    }
    print(' '.$counter.' <br>');
}

function convert_comments() {
    print('    <br>');
}

if (isset($_POST['letsgomazafaka'])) {
convert_containers();
convert_categories();
convert_items();
convert_comments();
}
else {
    $form='
                FastNews.
    <form method="POST" action="">
     
     <br>
     <br>
     <input type="checkbox" name="pain">     
     <br>
     <br>
    <input type="hidden" name="letsgomazafaka" value="omg">
    <center><input type="submit" value="  "></center>
    </form>
    ';
    print($form);
}

?>

          </td>
      <td></td>
    </tr>
    <tr>
      <td></td>
      <td></td>
      <td></td>
    </tr>
  </tbody>
</table>

   	<div id="source">ReloadCMS</div>
    </div>
</body>   


